﻿$ErrorActionPreference = 'Stop';

$packageName    = $env:ChocolateyPackageName
$toolsDir       = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url64          = 'https://download.unity3d.com/download_unity/b4360d7cdac4/TargetSupportInstaller/UnitySetup-Linux-Mono-Support-for-Editor-2021.3.30f1.exe'
$checksum64     = '9942e4f6d830c75f4e2067fd1ce58e16c681d5894726472e3ee6ec01de1ebe42'

$packageArgs = @{
  packageName    = $packageName
  fileType       = 'EXE'
  url64bit       = $url64
  checksum64     = $checksum64
  checksumType64 = 'sha256'
  silentArgs     = '/S'
  validExitCodes = @(0)
}

Install-ChocolateyPackage @packageArgs
